Subject: bug#33124: closed (Re: bug#33124: Cuirass: register GC roots for evaluations under /var/guix/gcroots)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Nov 2018 14:30:04 +0000

Your bug report

#33124: Cuirass: register GC roots for evaluations under /var/guix/gcroots

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33124: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33124
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33124: Cuirass: register GC roots for evaluations under /var/guix/gcroots
From: [email-masked] (Ludovic Courtès)
To: Clément Lassieur <[email-masked]>
Cc: [email-masked]
Date: Wed, 07 Nov 2018 15:29:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Clément,

Clément Lassieur <[email-masked]> skribis:

> I think the goal here is to make sure that the builds that resulted from
> of 1) important evaluations (releases) and 2) recent evaluations aren't
> garbage collected.
>
> <sneek> snape, civodul says: i think Cuirass should register GC roots for its
> 	evaluations under /var/guix/gcroots
> <snape> [...] How many such evaluations should be registered?  If all
> 	are registered, we'll run out of space won't we?  So would it be
> 	like the last 15 or something?
> <civodul> snape: i think we'd register all of them and use (guix cache) to
> 	  automatically wipe old ones periodically  [09:53]
> <civodul> snape: when there's a release we could manually stash important
> 	  evaluations away so they won't be deleted
> <civodul> so i'd just create one subdir for each eval say in
> 	  /var/guix/profiles/USER/cuirass/evaluations  [09:54]
> <civodul> and that'd contain a bunch of symlinks to both the .drv and the
> 	  outputs

I went ahead and implemented a simple version of this in commit
d4623d50edac4a6e81f5986a91c2818f5fc4965d.

Let me know what you think!

Ludo’.

Subject: Cuirass: register GC roots for evaluations under /var/guix/gcroots
From: Clément Lassieur <[email-masked]>
To: [email-masked]
Date: Tue, 23 Oct 2018 11:27:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I think the goal here is to make sure that the builds that resulted from
of 1) important evaluations (releases) and 2) recent evaluations aren't
garbage collected.

--8<---------------cut here---------------start------------->8---
<sneek> snape, civodul says: i think Cuirass should register GC roots for its
	evaluations under /var/guix/gcroots
<snape> [...] How many such evaluations should be registered?  If all
	are registered, we'll run out of space won't we?  So would it be
	like the last 15 or something?
<civodul> snape: i think we'd register all of them and use (guix cache) to
	  automatically wipe old ones periodically  [09:53]
<civodul> snape: when there's a release we could manually stash important
	  evaluations away so they won't be deleted
<civodul> so i'd just create one subdir for each eval say in
	  /var/guix/profiles/USER/cuirass/evaluations  [09:54]
<civodul> and that'd contain a bunch of symlinks to both the .drv and the
	  outputs
--8<---------------cut here---------------end--------------->8---

Clément